QRcodly
APIShort url

Update a short URL

Partially updates a standalone short URL. You can change the destination URL, name, or active state. Short URLs linked to a QR code cannot be updated directly — update the QR code instead.

PATCH
/short-url/{shortCode}

Authorization

bearerAuth
AuthorizationBearer <token>

Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>

In: header

Path Parameters

shortCode*string

The 5-character short URL code

Request Body

application/json

destinationUrl?string

New destination URL (must start with http:// or https://)

Formaturi
isActive?boolean

Whether the short URL is currently active and redirecting

name?|

User-defined name for the short URL (max 50 characters)

Defaultnull
Lengthlength <= 50
[key: string]?never

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.qrcodly.de/api/v1/short-url/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "shortCode": "strin",
  "name": null,
  "destinationUrl": "http://example.com",
  "qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28",
  "isActive": true,
  "createdBy": "string",
  "deletedAt": null,
  "customDomain": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "domain": "string",
    "isDefault": true,
    "isEnabled": true,
    "createdBy": "string",
    "verificationPhase": "dns_verification",
    "ownershipTxtVerified": true,
    "cnameVerified": true,
    "cloudflareHostnameId": "string",
    "sslStatus": "initializing",
    "ownershipStatus": "pending",
    "sslValidationRecord": {
      "name": "string",
      "value": "string"
    },
    "ownershipValidationRecord": {
      "name": "string",
      "value": "string"
    },
    "validationErrors": [
      "string"
    ]
  },
  "tags": []
}
{
  "message": "string",
  "code": 0,
  "fieldErrors": {
    "property1": null,
    "property2": null
  }
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}